CppUnit project page | FAQ

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TestFixtureFactory Class Referenceabstract

Abstract TestFixture factory (Implementation). More...

`#include <TestFixtureFactory.h>`

## Public Member Functions

virtual TestFixture * | makeFixture ()=0
| Creates a new TestFixture instance. More...
virtual | ~TestFixtureFactory ()

## Detailed Description

Abstract TestFixture factory (Implementation).

Implementation detail. Use by HelperMacros to handle TestFixture hierarchy.

## Constructor & Destructor Documentation

virtual TestFixtureFactory::~TestFixtureFactory | ( |  | ) |

inline virtual

## Member Function Documentation

virtual TestFixture* TestFixtureFactory::makeFixture | ( |  | ) |

pure virtual

Creates a new TestFixture instance.

The documentation for this class was generated from the following file:

- TestFixtureFactory.h

| Send comments to: CppUnit Developers